function g = gfun_ex1(varargin)

nrv = nargin;
nx  = size(varargin{1},2);
U   = zeros(nrv,nx);
for i = 1:nrv
   U(i,:) = varargin{i};
end

beta1   = 4.5;
beta2   = 6;
gamma   = 30;
epsilon = 1e-6;

dsptu = [ beta1 -beta2
          0  0 ];
beta  = [ beta1  beta2 ];

ALPHA = dsptu ./ ( ones(nrv,1)*(sum(dsptu.^2,1)).^0.5 );

U1minuseps = U(1,:)-epsilon;
U(1,:)     = U1minuseps;

G = -ALPHA'*U + beta'*ones(1,nx);
G(1,:) = beta(2) * ( 1 - ( (U1minuseps/beta(1)+abs(U1minuseps/beta(1)))/2 ).^gamma  );

g = min(G,[],1);
